Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package settings
  Definition Classes
    nsc
- AbsScalaSettings
- AbsSettings
- AnyScalaVersion
- Development
- Final
- FscSettings
- Milestone
- MutableSettings
- NoScalaVersion
- RC
- ScalaBuild
- ScalaSettings
- ScalaVersion
- SpecificScalaVersion
- StandardScalaSettings
- Warnings

c

scala.tools.nsc.settings

# SpecificScalaVersion 

###

#### case class SpecificScalaVersion(major: Int, minor: Int, rev: Int, build: ScalaBuild) extends ScalaVersion with Product with Serializable

A specific Scala version, not one of the magic min/max versions. An SpecificScalaVersion may or may not be a released version - i.e. this same class is used to represent final, release candidate, milestone, and development builds. The build argument is used to segregate builds

Source
  ScalaVersion.scala

Linear Supertypes
Serializable, java.io.Serializable, Product, Equals, ScalaVersion, math.Ordered[ScalaVersion], Comparable[ScalaVersion], AnyRef, Any
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. SpecificScalaVersion
2. Serializable
3. Serializable
4. Product
5. Equals
6. ScalaVersion
7. Ordered
8. Comparable
9. AnyRef
10. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new SpecificScalaVersion(major: Int, minor: Int, rev: Int, build: ScalaBuild)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from SpecificScalaVersion to any2stringadd[SpecificScalaVersion] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (SpecificScalaVersion, B)
   Implicit
     This member is added by an implicit conversion from SpecificScalaVersion to ArrowAssoc[SpecificScalaVersion] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  def <(that: ScalaVersion): Boolean
   Definition Classes
     Ordered
6.  def <=(that: ScalaVersion): Boolean
   Definition Classes
     Ordered
7.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
8.  def >(that: ScalaVersion): Boolean
   Definition Classes
     Ordered
9.  def >=(that: ScalaVersion): Boolean
   Definition Classes
     Ordered
10.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
11.  val build: ScalaBuild
12.  def clone(): AnyRef
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
13.  def compare(that: ScalaVersion): Int
    Definition Classes
      SpecificScalaVersion → Ordered
14.  def compareTo(that: ScalaVersion): Int
    Definition Classes
      Ordered → Comparable
15.  def ensuring(cond: (SpecificScalaVersion) ⇒ Boolean, msg: ⇒ Any): SpecificScalaVersion
    Implicit
      This member is added by an implicit conversion from SpecificScalaVersion to Ensuring[SpecificScalaVersion] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
16.  def ensuring(cond: (SpecificScalaVersion) ⇒ Boolean): SpecificScalaVersion
    Implicit
      This member is added by an implicit conversion from SpecificScalaVersion to Ensuring[SpecificScalaVersion] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
17.  def ensuring(cond: Boolean, msg: ⇒ Any): SpecificScalaVersion
    Implicit
      This member is added by an implicit conversion from SpecificScalaVersion to Ensuring[SpecificScalaVersion] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
18.  def ensuring(cond: Boolean): SpecificScalaVersion
    Implicit
      This member is added by an implicit conversion from SpecificScalaVersion to Ensuring[SpecificScalaVersion] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
19.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
20.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
21.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from SpecificScalaVersion to StringFormat[SpecificScalaVersion] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
22.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
23.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
24.  val major: Int
25.  val minor: Int
26.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
27.  final def notify(): Unit
    Definition Classes
      AnyRef
28.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
29.  val rev: Int
30.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
31.  def unparse: String
    Definition Classes
      SpecificScalaVersion → ScalaVersion
32.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
33.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
34.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
35.  def →[B](y: B): (SpecificScalaVersion, B)
    Implicit
      This member is added by an implicit conversion from SpecificScalaVersion to ArrowAssoc[SpecificScalaVersion] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from ScalaVersion

### Inherited from math.Ordered[ScalaVersion]

### Inherited from Comparable[ScalaVersion]

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from SpecificScalaVersion to any2stringadd[SpecificScalaVersion]

### Inherited by implicit conversion StringFormat from SpecificScalaVersion to StringFormat[SpecificScalaVersion]

### Inherited by implicit conversion Ensuring from SpecificScalaVersion to Ensuring[SpecificScalaVersion]

### Inherited by implicit conversion ArrowAssoc from SpecificScalaVersion to ArrowAssoc[SpecificScalaVersion]

### Ungrouped